summaryrefslogtreecommitdiff
path: root/t/autodist.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/autodist.sh')
-rw-r--r--t/autodist.sh14
1 files changed, 10 insertions, 4 deletions
diff --git a/t/autodist.sh b/t/autodist.sh
index a0ded8cee..36b2d788c 100644
--- a/t/autodist.sh
+++ b/t/autodist.sh
@@ -47,8 +47,8 @@ cat > Makefile.am <<'END'
include distfiles.am
check-local:
## For debugging.
- @echo DIST_COMMON:
- @for f in $(DIST_COMMON); do echo " $$f"; done
+ @echo am.dist.common-files:
+ @for f in $(am.dist.common-files); do echo " $$f"; done
@echo DISTDIR:
@ls -l $(distdir) | sed 's/^/ /'
## Now the checks.
@@ -59,7 +59,7 @@ check-local:
## Some filenames might contain dots, but this won't cause spurious
## failures, and "spurious successes" are so unlikely that they're
## not worth worrying about.
- echo ' ' $(DIST_COMMON) ' ' | grep "[ /]$$f " >/dev/null \
+ echo ' ' $(am.dist.common-files) ' ' | grep "[ /]$$f " >/dev/null \
|| { echo $$f: distcom fail >&2; exit 1; }; \
done
END
@@ -88,9 +88,15 @@ rm -rf $me-1.0 # Remove $(distdir).
: > distfiles.am
for f in $list; do
- echo dummy > $f
+ test "$f" = install-sh || echo dummy > $f
done
+# The 'install-sh' script must have legit content, because it's going
+# to be used by the "make distdir" target on systems lacking a decent
+# 'install' program.
+cp "$am_scriptdir/install-sh" . \
+ || fatal_ "fetching auxiliary script 'install-sh'"
+
ls -l # For debugging.
$AUTOMAKE